### Enumeration

# Gdk PaintableFlags

#### Declaration

    flags Gdk.PaintableFlags

#### Description [src]

Flags about a paintable object.

Implementations use these for optimizations such as caching.

#### Members

Name | Description
--- | ---
`GDK_PAINTABLE_STATIC_SIZE` | The size is immutable. The `GdkPaintable::invalidate-size` signal will never be emitted.
`GDK_PAINTABLE_STATIC_CONTENTS` | The content is immutable. The `GdkPaintable::invalidate-contents` signal will never be emitted.